# Uses of Interface
org.eclipse.emf.cdo.server.IRepositoryProtector

Packages that use IRepositoryProtector
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IRepositoryProtector in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IRepositoryProtector
Modifier and Type
Method
Description
`IRepositoryProtector`
IRepository.`getProtector()`
`final IRepositoryProtector`
IRepositoryProtector.Element.`getRepositoryProtector()`
`IRepositoryProtector`
IRepositoryProtector.UserInfoChangedEvent.`getSource()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector
Modifier and Type
Method
Description
`final void`
IRepositoryProtector.Element.`setRepositoryProtector(IRepositoryProtector repositoryProtector)`
Constructors in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector
Modifier
Constructor
Description
``
`UserInfoChangedEvent(IRepositoryProtector notifier, IRepositoryProtector.UserInfo oldUserInfo, IRepositoryProtector.UserInfo newUserInfo)`

## Uses of IRepositoryProtector in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type IRepositoryProtector
Modifier and Type
Method
Description
`void`
InternalRepository.`setProtector(IRepositoryProtector protector)`